org.eclipse.wst.jsdt.ui.actions

## Class NavigateActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.NavigateActionGroup

    public class NavigateActionGroup
    extends ActionGroup

Action group that adds the open and show actions to a context menu and the action bar's navigate menu. This action group reuses the `OpenEditorActionGroup` and `OpenViewActionGroup`.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`NavigateActionGroup(IViewPart part)` Creates a new `NavigateActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBars)`
`void` `fillContextMenu(IMenuManager menu)`
`IAction` `getOpenAction()` Returns the open action managed by this action group.
`void` `setContext(ActionContext context)`
`void` `updateActionBars()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigateActionGroup

    public NavigateActionGroup(IViewPart part)

Creates a new `NavigateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### getOpenAction

    public IAction getOpenAction()

Returns the open action managed by this action group.

Returns:
  the open action. Returns `null` if the group doesn't provide any open action

#### dispose

    public void dispose()

#### fillActionBars

    public void fillActionBars(IActionBars actionBars)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### setContext

    public void setContext(ActionContext context)

#### updateActionBars

    public void updateActionBars()